Subject: Re: guest dir creation

From: [email-masked] (Jeffrey Liu)
Date: Fri, 13 Feb 1998 14:34:10 -0800

I'm having the similar problem.
We create a 'admin' account and we want only 'admin' login
can upload to /pub directory.
the entry on ftpaccess is:
upload  /home/ftp  /pub  yes admin admin 0600 dirs
But when we put data to /pub, it shows:
530: Permission denied.  (Upload)
Even we changed /home/ftp/pub owned by 'admin'.
What do we need to setup for non-anonymous account to upload
to pub directory?

> From [email-masked] Fri Feb 13 14:02:28 1998
> Date: Fri, 13 Feb 98 16:37:53 -0500
> From: [email-masked]
> To: [email-masked]
> Subject: guest dir creation
> X-Mts: smtp
> X-Listprocessor-Version: 8.0 -- ListProcessor(tm) by CREN
> 
> 
> Hello,
> 
> I am using Version wu-2.4(1) of wu-ftpd on a digital
> unix machine. I have several guest users setup and an
> anonymous area also. Here is an entry in the ftpaccess 
> file:
> 
> upload  /ftp /incoming/test yes root prd 0660 nodirs
> 
> 
> The documentation indicates that the upload lines only
> pertain to anonymous users. When a guest user tries to
> create a directory in test, this error appears:
> 
> 530 foo: Permission denied.  (Upload)
> 
> 
> The directory test has group write for the guest users.
> When I change the upload line from "nodirs" to "dirs",
> it works fine. My question is, why can't the guest users
> create directories (if the upload line only pertains to
> anonymous users)?
> 
> 
> Thanks,
> 
> 
> Bob Morse
> System Administrator
> American Mathematical Society
> 
> 
===========================================
Jeffrey Liu		[email-masked]
Aptix Corp.		System Administrator
408-428-6223 (w) 	408-944-0646 (fax)